\name{combine}
\alias{combine}
\title{A function to combine data from different Affymetrix genechip types
  into one AffyBatch.}
\description{
  The function takes two AffyBatches and their respective probe sequence
  information and merges the intensities from the matching probes only
  into one AffyBatch. 
  }
\usage{
combine(batch, probepkg, newcdf, verbose=TRUE)
}
\arguments{
  \item{batch}{A \code{list} of two AffyBatches.}
  \item{probepkg}{A character vector of length 2, containing the names
    of the probe sequences libraries (for example, \code{hgu133aprobe})
    that go with the AffyBatches.}
  \item{newcdf}{The name of the name CDF environment that is to be created.}
  \item{verbose}{If TRUE, messages are printed to the console.}
}
\details{
  This function is EXPERIMENTAL; no guarantee that the resulting data
  makes biological sense.
  
  You may want to have a look at the code of this function and at
  intermediate results.

  Presently the code is written for two chiptypes, but if necessary can
  now be easily generalized to \code{n}>=2.
}
\value{
  A list with two elements: \code{dat}, an \code{\link{AffyBatch}}, and
  \code{cdf}, an environment, which contains a "CDF" probe-set to probe
  mapping (as for ordinary genechips).
  cdf is obtrained by restricting the  probe-set to probe of the
  \bold{second} \code{batch} and \code{probelib}.
  
  A vignette is being written.
}
\author{R. Gentleman, Wolfgang Huber}


\examples{
  ## 
}
\keyword{manip}
